%global pypi_name kubernetes
%global commitId 1f9d3b0feed552ebfea97134946704a0d10282cf

%global common_description %{expand:
Shared description here.}
%global common_summary %{expand: Shared summary here.}

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        26.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

License:        Apache-2.0
URL:            https://github.com/kubernetes-client/python
Source0:        python-kubernetes-1f9d3b0feed552ebfea97134946704a0d10282cf.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
%{common_description}

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        %{common_summary}

Requires:       python%{python3_pkgversion}-certifi >= 14.05.14
Requires:       python%{python3_pkgversion}-six >= 1.9.0
Requires:       python%{python3_pkgversion}-dateutil >= 2.5.3
Requires:       python%{python3_pkgversion}-setuptools >= 21.0.0
Requires:       python%{python3_pkgversion}-pyyaml >= 5.4.1
Requires:       python%{python3_pkgversion}-google-auth >= 1.0.1
Requires:       python%{python3_pkgversion}-websocket-client >= 0.32.0
Requires:       python%{python3_pkgversion}-requests
Requires:       python%{python3_pkgversion}-requests-oauthlib
Requires:       python%{python3_pkgversion}-urllib3 >= 1.24.2

Conflicts:      python%{python3_pkgversion}-websocket-client = 0.40.0
Conflicts:      python%{python3_pkgversion}-websocket-client = 0.41
Conflicts:      python%{python3_pkgversion}-websocket-client = 0.42

%description -n python%{python3_pkgversion}-%{pypi_name}
%{common_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Apr 12 2023 James Marshall <jamarsha@redhat.com> 26.1.0-1
- Initial release
